export declare class SpwSeparator {
    /** Permet de choisir la surface du séparateur (clair ou sombre) */
    surface: 'dark' | 'light';
    /** Permet de définir la direction du séparateur */
    direction: 'vertical' | 'horizontal';
    /** Définit l'épaisseur du séparateur */
    thickness: 1 | 2;
    /** Largeur du séparateur (par défaut 100% si non spécifié) */
    width: string;
    /** Hauteur du séparateur (par défaut 100% si non spécifié) */
    height: string;
    private get elementClass();
    private get style();
    render(): any;
}
